Subject: Re: bug#3418: Issue with compile.el and compilation-parse-errors-filename-function

From: Gary Oberbrunner <[email-masked]>
Date: Tue, 26 Jan 2016 11:19:41 -0500 (EST)

Hi, Eli. 
If a user (such as myself) has an implementation of this function in his .emacs today, like so:

(defun process-error-filename (filename)
  ;;; do stuff with filename
  filename)
(setq compilation-parse-errors-filename-function 'process-error-filename)

and we add a new argument that gets passed to that function, it'll throw an error. *Users* will have to add 
  &optional spec-dir 
to their implementations of it to avoid the error.

(And btw, I've already done that in mine, so I'm future-proof. :-))

-- Gary

----- Original Message -----
> From: "Eli Zaretskii" <[email-masked]>
> To: "Gary Oberbrunner" <[email-masked]>
> Cc: "Andrew Hyatt" <[email-masked]>, "3418" <[email-masked]>
> Sent: Tuesday, January 26, 2016 11:08:50 AM
> Subject: Re: bug#3418: Issue with compile.el and	compilation-parse-errors-filename-function

>> Date: Tue, 26 Jan 2016 10:15:27 -0500 (EST)
>> From: Gary Oberbrunner <[email-masked]>
>> Cc: Andrew Hyatt <[email-masked]>, [email-masked]
>> 
>> Wow, a blast from the past!
> 
> Better late than never, right?
> 
>> I am totally happy with soln 1. For all I know, since I added that hook I might
>> be the only one using it. :-) But I'm also usually a stickler for backward
>> compatibility, so that's why I brought it up.
> 
> But if we make the additional argument optional, the backward
> compatibility is preserved, right?  Or did I miss something?

-- 
Gary Oberbrunner